#pragma once

#include <string>

namespace fcf {
namespace net {
namespace protocol {

  struct http_header_info_t{
    int                 header_end;
    unsigned long long  content_length;
    std::string         path;
    std::string         host;
    std::string         connection;
    std::string         context;

  };

  std::string get_http_param(const char* a_data, int a_end, const char* a_param);
  bool        parse_http_header_request(const char* a_data, int a_end, http_header_info_t* a_dst);
  bool        parse_http_header_response(const char* a_data, int a_end, http_header_info_t* a_dst);

} // protocol namespace 
} // net namespace 
} // fcf namespace 